local L = AceLibrary("AceLocale-2.2"):new("MageAnnounce")

L:RegisterTranslations("enUS", function() return {
	["Slash-Commands"] = { "/mageannounce", "/magea" },
     
	----- Options Names -----
	["Options"] = true,
	["Options Menu"] = true,
	["Enable in BGs"] = true,
	-- Spell Options
	["Spell Options"] = true,
	["Poly Message"] = true,
	["Show Polymorph Messages in Raid"] = true,
	["Show Polymorph Messages in Party"] = true,
	["Counterspell Message"] = true,
	["Show Counterspell Messages in Raid"] = true,
	["Show Counterspell Messages in Party"] = true,
	["Slow Message"] = true,
	["Show Slow Messages in Raid"] = true,
	["Show Slow Messages in Party"] = true,
	-- Portal Options
	["Portal Options"] = true,
	["Alliance Portals"] = true,
	["Horde Portals"] = true,
	["Shattrath Portal Message"] = true,
	["Ironforge Portal Message"] = true,
	["Stormwind Portal Message"] = true,
	["Darnassus Portal Message"] = true,
	["Exodar Portal Message"] = true,
	["Orgrimmar Portal Message"] = true,
	["Undercity Portal Message"] = true,
	["Thunder Bluff Portal Message"] = true,
	["Silvermoon Portal Message"] = true,
	['Show Portal Messages in Raid'] = true,
	['Show Portal Messages in Party'] = true,

	----- Options Descriptions -----
	["Shows the Options Menu"] = true,
	["Enable messages in Battlegrounds"] = true,
	-- Spell Options
	["Show Spell Options"] = true,
	["Message to be displayed when polymorphing"] = true,
	["Message to be displayed when counterspelling"] = true,
	["Message to be displayed when slowing"] = true,
	["Toggles the display of polymorph messages in raid chat"] = true,
	["Toggles the display of polymorph messages in party chat"] = true,
	["Toggles the display of counterspell messages in raid chat"] = true,
	["Toggles the display of counterspell messages in party chat"] = true,
	["Toggles the display of slow messages in raid chat"] = true,
	["Toggles the display of slow messages in party chat"] = true,
	-- Portal Options
	["Show Portal Options"] = true,
	['Toggles the display of portal messages in raid chat'] = true,
	['Toggles the display of portal messages in party chat'] = true,
	["Message to be displayed when opening a Shattrath portal"] = true,
	["Message to be displayed when opening a Stormwind portal"] = true,
	["Message to be displayed when opening a Ironforge portal"] = true,
	["Message to be displayed when opening a Darnassus portal"] = true,
	["Message to be displayed when opening a Exodar portal"] = true,
	["Message to be displayed when opening a Orgrimmar portal"] = true,
	["Message to be displayed when opening a Undercity portal"] = true,
	["Message to be displayed when opening a Thunder Bluff portal"] = true,
	["Message to be displayed when opening a Silvermoon portal"] = true,

	----- Default Messages -----
	["Now Polymorphing %t"] = true,
	["Counterspelling %t"] = true,
	["Slowing %t"] = true,
	["Incoming Portal to Shattrath"] = true,
	["Incoming Portal to Stormwind"] = true,
	["Incoming Portal to Ironforge"] = true,
	["Incoming Portal to Darnassus"] = true,
	["Incoming Portal to Exodar"] = true,
	["Incoming Portal to Orgrimmar"] = true,
	["Incoming Portal to Undercity"] = true,
	["Incoming Portal to Thunder Bluff"] = true,
	["Incoming Portal to Silvermoon"] = true,

	----- Usage Descriptions -----
	["<Your message>"] = true,

	----- Spell Strings -----
	["Portal: Shattrath"] = true,
	["Portal: Stormwind"] = true,
	["Portal: Ironforge"] = true,
	["Portal: Darnassus"] = true,
	["Portal: Exodar"] = true,
	["Portal: Orgrimmar"] = true,
	["Portal: Undercity"] = true,
	["Portal: Thunder Bluff"] = true,
	["Portal: Silvermoon"] = true,
	["Portal"] = true,
	["Polymorph"] = true,
	["Counterspell"] = true,
	["Slow"] = true,
} end)